#include <project.h>
#include <stdio.h>

CY_ISR_PROTO(ISR_CAN);

/* Global variable used to store ISR flag */
volatile uint8 isrFlag = 0u;

int main()
{
    uint16 Speed=0u , EngineRPM=0u;
    uint32 TravelDis=0u;
    CAN_Start();

    /* Set CAN interrupt handler to local routine */
    CyIntSetVector(CAN_ISR_NUMBER, ISR_CAN);

    CyGlobalIntEnable;

    for(;;)
    {
            EngineRPM = 6789;
            CAN_TX_DATA_BYTE1(CAN_TX_MAILBOX_EngineRPM) = 0u;
            CAN_TX_DATA_BYTE2(CAN_TX_MAILBOX_EngineRPM) = 0u;
            CAN_TX_DATA_BYTE3(CAN_TX_MAILBOX_EngineRPM) = 0u;
            CAN_TX_DATA_BYTE4(CAN_TX_MAILBOX_EngineRPM) = 250;//HI8(EngineRPM);
            CAN_TX_DATA_BYTE5(CAN_TX_MAILBOX_EngineRPM) = 0u;//LO8(EngineRPM);
            CAN_TX_DATA_BYTE6(CAN_TX_MAILBOX_EngineRPM) = 0u;
            CAN_TX_DATA_BYTE7(CAN_TX_MAILBOX_EngineRPM) = 0u;
            CAN_TX_DATA_BYTE8(CAN_TX_MAILBOX_EngineRPM) = 0u;            
            CAN_SendMsgEngineRPM();
            
            CyDelay(200u);
            
            TravelDis = 1234567890;
            /* Sends the value of ADC output via CAN */
            CAN_TX_DATA_BYTE1(CAN_TX_MAILBOX_TravelDis) = HI8(HI16(TravelDis));
            CAN_TX_DATA_BYTE2(CAN_TX_MAILBOX_TravelDis) = LO8(HI16(TravelDis));
            CAN_TX_DATA_BYTE3(CAN_TX_MAILBOX_TravelDis) = HI8(LO16(TravelDis));
            CAN_TX_DATA_BYTE4(CAN_TX_MAILBOX_TravelDis) = LO8(LO16(TravelDis));
            CAN_TX_DATA_BYTE5(CAN_TX_MAILBOX_TravelDis) = 0u;
            CAN_TX_DATA_BYTE6(CAN_TX_MAILBOX_TravelDis) = 0u;
            CAN_TX_DATA_BYTE7(CAN_TX_MAILBOX_TravelDis) = 0u;
            CAN_TX_DATA_BYTE8(CAN_TX_MAILBOX_TravelDis) = 0u;
            CAN_SendMsgTravelDis();
        
            CyDelay(200u);

            Speed = 1357;
            CAN_TX_DATA_BYTE1(CAN_TX_MAILBOX_Speed) = 0u;
            CAN_TX_DATA_BYTE2(CAN_TX_MAILBOX_Speed) = 0u;
            CAN_TX_DATA_BYTE3(CAN_TX_MAILBOX_Speed) = 0u;
            CAN_TX_DATA_BYTE4(CAN_TX_MAILBOX_Speed) = 0u;
            CAN_TX_DATA_BYTE5(CAN_TX_MAILBOX_Speed) = 0u;
            CAN_TX_DATA_BYTE6(CAN_TX_MAILBOX_Speed) = 0u;
            CAN_TX_DATA_BYTE7(CAN_TX_MAILBOX_Speed) = HI8(Speed);
            CAN_TX_DATA_BYTE8(CAN_TX_MAILBOX_Speed) = LO8(Speed);            
            CAN_SendMsgSpeed();
            
            CyDelay(200u);
    }
}

CY_ISR(ISR_CAN)
{
    /* Clear Receive Message flag */
    CAN_INT_SR_REG.byte[1u] = CAN_RX_MESSAGE_MASK;

    /* Set the isrFlag */
    isrFlag = 1u;    

    /* Acknowledges receipt of new message */
    CAN_RX_ACK_MESSAGE(CAN_RX_MAILBOX_0);
}